## libtemplates-parser 11.6

=== debian/changelog ===
libtemplates-parser (11.6-4) unstable; urgency=low

  * Linker option avoiding FTBFS on arm* because of gnat bug #687642.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Aug 2013 20:24:38 +0200

libtemplates-parser (11.6-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Ignore complex and unconfigurable upstream build system for most targets.
  * Autopkg tests.
  * Switch to debhelper 9.
  * Use multiarch paths, generate the system project accordingly.
  * Use dh-ada-library to simplify debian/rules.
    Lintian override: generated lib->dbg dependency reported as missing.
    When many implementation, only install the one used to build.
    -dev: depends on xmlada-dev, not the library.
  * texinfo5.patch: Closes: #707517.
    Avoid recompiling the library for the examples.
    Do not embed unused css in documentation.
    Install doc programs as examples (without execution permission).
  * Upstream changelog. Doc-base registration. Informative watch file.
  * Explicit Build-Depends-Indep: mawk | awk.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Aug 2013 06:56:00 +0200

libtemplates-parser (11.6-2) unstable; urgency=low

  * Tighten build dependency on gnat-4.6 (>= 4.6.1-6).  Fixes FTBFS on
    kfreebsd-amd64, kfreebsd-i386.
  * debian/patches/disable-inlining.diff: new; work around compiler bug
    #642981 on armel.
  * debian/rules (clean): adjust to the new upstream version.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  3 Oct 2011 01:01:11 +0200

libtemplates-parser (11.6-1) unstable; urgency=low

  [Xavier Grave]
  * new upstream version 11.6
    - remove executable bit in *.ad[sb] files in the installed
      packages
  * add get-orig-source target
    - use bdf9f07b1b98db7064abab7564892a9736b2edd9 of
      com.adacore.templates_parser.debian
  * remove unused build.gpr file
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control and lintian files accordingly
  
  [Ludovic Brenta]
  * debian/control (Architectures): any.
    (Uploaders): add Xavier.
    (DM-Upload-Allowed): yes.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon, 12 Sep 2011 16:48:49 +0200

libtemplates-parser (11.5-4) unstable; urgency=low

  * debian/control (*-dev): depend on gnat, ada-compiler.
    (*-dbg, *-doc): suggest gnat, gnat-4.4, ada-compiler.
    (*-doc): add ${misc:Depends} to Depends (lintian warning).
    (Standards-Version): update to 3.8.4 with no changes required.
  
  [Xavier Grave]
  * debian/patches/makefile-multicore.patch: new, use one compiler job
    per processor core present in the system instead of hardcoded 2.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Jun 2010 17:59:18 +0200

libtemplates-parser (11.5-3) unstable; urgency=medium

  * debian/control (Architectures):
    - temporarily disable mips due to #566234.
    - add armel.  Closes: #568444.
    - s/docs/doc/.  Closes: #568474.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 22:55:42 +0100

libtemplates-parser (11.5-2) unstable; urgency=low
  
  * templates_parser.gpr: new Naming package to let applications
    find templates_parser-configuration__standalone.ads.
  * Split the documentation into a new package.
  * debian/control (Build-Depends-Indep): new.
  * debian/rules: support dpkg-buildpackage -A, -B.
  * debian/patches/GPL.patch: new, the GPL also applies to the doc.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 31 Dec 2009 23:51:53 +0100
  

libtemplates-parser (11.5-1) unstable; urgency=low
  
  * New upstream version (Subversion revision 145737).
  * Set aliversion=11.5, soversion=11.5 per Debian Policy for Ada.
  * Package renamings:
    libtemplates-parser-dev   -> libtemplates-parser11.5-dev
                                 (with Conflicts: and Replaces:)
    libtemplates-parser11     -> libtemplates-parser11.5
    libtemplates-parser11-dbg -> libtemplates-parser11.5-dbg
  * Build-Depend and Depend on gnat-4.4 instead of gnat-4.3.
  * Build-Depend on libxmlada3.2-dev instead of libxmlada-dev.
  * Drop support for alpha due to http://gcc.gnu.org/PR42073.
  * debian/rules: parse the aliversion and soversion from debian/control.
  * debian/patches/GPL.patch: remove; merged into the .orig.tar.gz.
  * debian/patches/library_version.patch: adjust.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  1 Dec 2009 22:19:20 +0100
  

libtemplates-parser (11.1-3) unstable; urgency=low

  * Tighten build-dependency on libxmlada-dev to (>= 3.0-6) to force
    a recompile.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Sep 2009 16:22:42 +0200

libtemplates-parser (11.1-2) unstable; urgency=low

  * debian/control (Architecture): add kfreebsd-amd64.  Closes: #542415.
    (Depends): add ${misc:Depends} for proper support for debhelper.
    s/source:Version/binary:Version/g.
    (Standards-Version): bump to 3.8.3.
    (libtemplates_parser11-dbg): new package containing the detached
    debugging symbols.
  * debian/compat: bump to 7.
  * patches: move to debian/patches; adjust all patches to quilt -p ab.
  * debian/rules: adjust to source format 3.0 (quilt).
  * debian/clean: new.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Sep 2009 15:20:22 +0200

libtemplates-parser (11.1-1) unstable; urgency=low

  * New upstream release.
  * Change soname to libtemplates_parser.so.11, and binary package name
    to match.
  * debian/control: update Standards-Version to 2.7.3 with no changes.
    Migrate to gnat-4.3.  Migrate to texlive-{generic,fonts}-recommended
    and texlive-latex-base.  Add support for mips, mipsel and ppc64.
  * debian/compat: new.
  * debian/rules: do not export DH_COMPAT anymore.  Use upstream's library
    project files to build, instead of our own.
  * debian/templates_parser.gpr: turn into a library project file.
  * patches/make.patch: new; when executing programs compiled as
    part of the doc, look for libtemplates_parser.so in the proper place.

