=== debian/control ===
Source: libtemplates-parser
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
 gnat, gnat-4.6 (>= 4.6.1-6), dh-ada-library (>= 5.5),
 libxmlada4.1-dev
# dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
# dh-ada-library 5.5 stops linking doc dirs, installs sources read-only,
#   strips binaries other than the usual libraries.
Build-Depends-Indep: texinfo,
 mawk | awk,
 texlive-generic-recommended, texlive-fonts-recommended, texlive-latex-base
# awk is used by docs/gentexifile when available.
Standards-Version: 3.9.4
Homepage: http://libre.adacore.com
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
Vcs-Mtn: www.ada-france.org org.debian.libtemplates-parser
XS-Testsuite: autopkgtest

Package: libtemplates-parser11.6-dev
Architecture: any
Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libtemplates-parser-dev
Replaces: libtemplates-parser-dev
Recommends: libtemplates-parser-doc
Description: Ada library to parse files and replace variables
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the static libraries, documentation, tools and Ada
 specification files.

Package: libtemplates-parser11.6
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library to parse files and replace variables (runtime)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the runtime shared library.

Package: libtemplates-parser11.6-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${ada:Depends}, ${misc:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: Ada library to parse files and replace variables (debugging symbols)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the detached debugging symbols for the shared library.

Package: libtemplates-parser-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada library to parse files and replace variables (documentation)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the documentation for developers using the library.
