=== debian/watch ===
# The latest templates-parser source distribution is available on
# http://libre.adacore.com/libre/download.

# The upstream tarball download system is too complicated to be
# described in a watch file.
