## libtemplates-parser 11.8.2014

=== debian/changelog ===
libtemplates-parser (11.8.2014-5) unstable; urgency=medium

  * simplify rules, avoiding a circular symlink. Closes: #818416.
  * patches making more upstream flexible instead of rewriting it.
  * call dh_ada_library only during arch builds, fixing -indep builds.
  * remove libtemplates-parser-doc.links, redundant with sphinx-doc.
  * Standards-Version: 3.9.7 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2016 18:12:24 +0200

libtemplates-parser (11.8.2014-4) unstable; urgency=medium

  * Freeze the clock for deterministic PDF timestamps.
    Touch generated sources for deterministic ALI files and tar headers.
  * rules: accept gnat (>= 5): versioned debian_packaging.mk
    and dh-ada-library (>= 6.5): search ali files in object directory too.
  * Standards-Version: 3.9.6 (no changes).
  * Remove XS-Testsuite: autopkgtest, now set automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Oct 2015 12:52:04 +0200

libtemplates-parser (11.8.2014-3) unstable; urgency=medium

  * Build-Depend: sphinx-common. dh_sphinxdoc is needed during -arch rebuilds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Aug 2014 21:23:56 +0200

libtemplates-parser (11.8.2014-2) unstable; urgency=medium

  * Rebuild with libxmlada5-dev. Closes: #757622. Per Ada policy, -dev package
    is renamed 11.8.2014 -> 11.8.2015 and Replaces/Conflicts previous version.
  * Rely on dh_sphinxdoc for -doc package JavaScript dependencies.
  * Generate the version instead of always updating a patch.
  * Remove obsolete wildcard in -dbg lintian override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Aug 2014 02:50:33 +0200

libtemplates-parser (11.8.2014-1) unstable; urgency=medium

  * New upstream release, build with gnat-4.9.
    Library and -dev package renamed due to Ada policy.
    Remove work-around for #687642 (fixed in gnat-4.9).
  * Documentation now builds with sphinx.
  * Standards-Version: 3.9.5 (no changes).
    Machine-readable copyright format.
  * rules: run-tests target obsoleted by sadt from devscripts.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 May 2014 23:44:15 +0200
