=== debian/control ===
--- 
+++ 
@@ -2,29 +2,39 @@
 Section: libdevel
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
+Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
- gnat, gnat-4.6 (>= 4.6.1-6), dh-ada-library (>= 5.5),
- libxmlada4.1-dev
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
+ gnat, gnat-4.9,
+# gnat-v provides /usr/share/ada/debian_packaging-v.mk
+ dh-ada-library (>= 5.5),
 # dh-ada-library 5.5 stops linking doc dirs, installs sources read-only,
-#   strips binaries other than the usual libraries.
+# strips binaries other than the usual libraries.
+# sphinx-common provides dh_sphinxdoc
+ sphinx-common,
+ libxmlada5-dev
 Build-Depends-Indep: texinfo,
- mawk | awk,
- texlive-generic-recommended, texlive-fonts-recommended, texlive-latex-base
-# awk is used by docs/gentexifile when available.
-Standards-Version: 3.9.4
+ python-sphinx,
+# Called in rules for deterministic PDF timestamps.
+ faketime,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended
+Standards-Version: 3.9.7
 Homepage: http://libre.adacore.com
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
 Vcs-Mtn: www.ada-france.org org.debian.libtemplates-parser
-XS-Testsuite: autopkgtest
 
-Package: libtemplates-parser11.6-dev
+# Should start with "AdaCore_Major.AdaCore_Minor.".
+Package: libtemplates-parser11.8.2015-dev
+Replaces: libtemplates-parser11.8.2014-dev
+Conflicts: libtemplates-parser11.8.2014-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libtemplates-parser-dev
-Replaces: libtemplates-parser-dev
+# No need to Depend: libxmlada*-dev
+# because the generated project does not need to import "xmlada.gpr"
+# because XMLada is only used by a body in templates-parser.
 Recommends: libtemplates-parser-doc
 Description: Ada library to parse files and replace variables
  The main goal is to ease the development of Web servers. In CGI
@@ -37,7 +47,8 @@
  This package contains the static libraries, documentation, tools and Ada
  specification files.
 
-Package: libtemplates-parser11.6
+# Should start with "AdaCore_Major.AdaCore_Minor.".
+Package: libtemplates-parser11.8.2014
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,7 +64,7 @@
  .
  This package contains the runtime shared library.
 
-Package: libtemplates-parser11.6-dbg
+Package: libtemplates-parser-dbg
 Section: debug
 Priority: extra
 Architecture: any
@@ -74,7 +85,7 @@
 Package: libtemplates-parser-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: gnat
 Description: Ada library to parse files and replace variables (documentation)
  The main goal is to ease the development of Web servers. In CGI
