=== debian/watch ===
# The latest templates-parser source distribution is available on
# http://libre.adacore.com/libre/download.

# Releases are also visible as tags in the git repository (see
# copyright).
